org.eclipse.microprofile.reactive.streams.operators.spi

## Interface Stage.PublisherStage

All Superinterfaces:
  Stage

Enclosing interface:
  Stage

    public static interface Stage.PublisherStage
    extends Stage

A publisher stage.

The given `publisher` must be subscribed to whatever subscriber is provided to this graph, via any other subsequent stages.

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.microprofile.reactive.streams.operators.spi.Stage

`Stage.Cancel, Stage.Collect, Stage.Concat, Stage.Coupled, Stage.Distinct, Stage.DropWhile, Stage.Failed, Stage.Filter, Stage.FindFirst, Stage.FlatMap, Stage.FlatMapCompletionStage, Stage.FlatMapIterable, Stage.FromCompletionStage, Stage.FromCompletionStageNullable, Stage.Limit, Stage.Map, Stage.Of, Stage.OnComplete, Stage.OnError, Stage.OnErrorResume, Stage.OnErrorResumeWith, Stage.OnTerminate, Stage.Peek, Stage.ProcessorStage, Stage.PublisherStage, Stage.Skip, Stage.SubscriberStage, Stage.TakeWhile`

### Method Summary

All Methods Instance Methods Abstract Methods
`org.reactivestreams.Publisher<?>` `getRsPublisher()` The publisher.

### Method Detail

#### getRsPublisher

    org.reactivestreams.Publisher<?> getRsPublisher()

The publisher.

Returns:
  The publisher.